Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
frpx123

Xin Lisp Vẽ Nét Cắt Gán Layer Mặc Định

Các bài được khuyến nghị

frpx123    2

http://www.cadviet.com/upfiles/5/149702_netcat_nc_1.lsp

 

xin chỉnh giúp mình khi vẽ nét cắt lisp như bên dưới sẽ được gán 1 layer mặc định có trong phần layer mình đã tạo , mặc dù layer hiện hành đang vẽ là layer khác 
 
 
 
 
 (Defun c:q1(/ p1 p2 p3 p4 p5 p6 p11 p12 l ang)
(setq x (getvar "osmode"))
(setq p1 (getpoint "First point : ")
     p2 (getpoint p1 "Second point : "))
(setq l (distance p1 p2))
(setq p11 (polar p1 (angle p2 p1) (/ l 5))
     p12 (polar p2 (angle p1 p2) (/ l 5)))
(setq ang (angle p1 p2))
(setq p3 (polar p1 ang (/ l 2.5))
     p4 (polar p3 (+ (/ pi 2) ang) (/ l 5))
     p5 (polar p3 ang (/ l 5))
p6 (polar p5 (- ang (/ pi 2)) (/ l 5)))
(setvar "osmode" 0)
 (command "pline" p11 p3 p4 p6 p5 p12 "")
 (setvar "osmode" x)
)

 

 


xin chỉnh giúp mình khi vẽ nét cắt lisp như bên dưới sẽ được gán 1 layer mặc định có trong phần layer mình đã tạo , mặc dù layer hiện hành đang vẽ là layer khác 
 
 
 
 
 (Defun c:q1(/ p1 p2 p3 p4 p5 p6 p11 p12 l ang)
(setq x (getvar "osmode"))
(setq p1 (getpoint "First point : ")
     p2 (getpoint p1 "Second point : "))
(setq l (distance p1 p2))
(setq p11 (polar p1 (angle p2 p1) (/ l 5))
     p12 (polar p2 (angle p1 p2) (/ l 5)))
(setq ang (angle p1 p2))
(setq p3 (polar p1 ang (/ l 2.5))
     p4 (polar p3 (+ (/ pi 2) ang) (/ l 5))
     p5 (polar p3 ang (/ l 5))
p6 (polar p5 (- ang (/ pi 2)) (/ l 5)))
(setvar "osmode" 0)
 (command "pline" p11 p3 p4 p6 p5 p12 "")
 (setvar "osmode" x)
)

 

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
frpx123    2

cái mình muốn là  giống vơi yêu cầu ông #13 ở topic này ý:

 

http://www.cadviet.com/forum/topic/19720-da-xong-lisp-hatch-gach-be-tong-kinh-hay/

 

ở #13 ông ý có yêu cầu là : 

Bác có cách nào để khi em dùng hatch "G" là nó đúng layer I-Wall-hatch không mặc dù layer hiện hành đang vẽ là layer khác 

 

mình cũng muốn chỉnh lisp vẽ nét cắt cũng thế.

 

BHsdF2q.jpg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×